RepSwitch = {};
RepSwitch.lastupdate = 0;
RepSwitch.lastamount = 0;
local _,_,_,tocversion = GetBuildInfo();

function RepSwitch.OnEvent(_, event, arg1)
	if(event == "COMBAT_TEXT_UPDATE" and arg1 == "FACTION") then
		if (RepSwitch.CheckConditions() == true) then
			local faction, amount = GetCurrentCombatTextEventInfo()
			--print(faction);
			if (faction ~= "Guild") then
				if (amount > RepSwitch.lastamount) or (time() > RepSwitch.lastupdate) then
					for i=1,GetNumFactions() do
						if faction == GetFactionInfo(i) then
							--print(i);
							SetWatchedFactionIndex(i);
						end
					end
				end
				RepSwitch.lastamount = amount;
				RepSwitch.lastupdate = time();
			end
		end
	end
end

function RepSwitch.CheckConditions()
	-- Classic
	if (tocversion < 80000) then
		return true;
	-- Retail
	elseif (UnitLevel("player") == 120) then
		return true;
	else	
		return false;
	end
end

RepSwitch.frame = CreateFrame("Frame", nil, UIParent);
RepSwitch.frame:RegisterEvent("COMBAT_TEXT_UPDATE");
RepSwitch.frame:SetScript("OnEvent", RepSwitch.OnEvent);
